Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177914 - NullPointerException at org.netbeans.modules.editor.hints.AnnotationHolder.removeUpdate
NullPointerException at org.netbeans.modules.editor.hints.AnnotationHolder.re...
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Hints & Annotations
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Max Sauer
issues@editor
EXCEPTIONS_REPORT, 68patch1-verified
:
: 170487 177915 177921 177923 177933 177947 178038 179674 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 06:18 UTC by Ivan Sidorkin
Modified: 2010-04-02 13:28 UTC (History)
10 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.95 KB, text/plain)
2009-12-01 06:18 UTC, Ivan Sidorkin
Details
stacktrace (3.39 KB, text/plain)
2009-12-01 06:50 UTC, Eduardo.m Costa
Details
stacktrace (2.95 KB, text/plain)
2009-12-01 06:56 UTC, Eduardo.m Costa
Details
stacktrace (2.95 KB, text/plain)
2009-12-01 07:55 UTC, misterm
Details
stacktrace (3.01 KB, text/plain)
2010-01-26 10:59 UTC, Jesse Glick
Details
stacktrace (4.25 KB, text/plain)
2010-03-22 16:21 UTC, laurin1
Details
stacktrace (3.03 KB, text/plain)
2010-04-02 13:27 UTC, laurin1
Details
stacktrace (3.25 KB, text/plain)
2010-04-02 13:28 UTC, laurin1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Sidorkin 2009-12-01 06:18:39 UTC
This bug was originally marked as duplicate of bug 170487, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 091201-a62c1eb4c864)
VM: OpenJDK 64-Bit Server VM, 14.0-b08, OpenJDK Runtime Environment, 1.6.0_0-b14
OS: Linux, 2.6.28-16-generic, amd64

User Comments:
ivansidorkin: Create Java Application
in Main.java add new line to body of main method
type 'sout' and press tab so it will be expanded to System.out.println("");
move cursor to the EOL
start to delete line using BackSpace button



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.hints.AnnotationHolder.removeUpdate(AnnotationHolder.java:410)
        at org.netbeans.lib.editor.util.swing.PriorityDocumentListenerList.removeUpdate(PriorityDocumentListenerList.java:99)
        at javax.swing.text.AbstractDocument.fireRemoveUpdate(AbstractDocument.java:260)
        at org.netbeans.editor.BaseDocument.fireRemoveUpdate(BaseDocument.java:1626)
        at org.netbeans.editor.BaseDocument.remove(BaseDocument.java:925)
        at org.netbeans.editor.BaseKit$DeleteCharAction$1.run(BaseKit.java:1535)
Comment 1 Ivan Sidorkin 2009-12-01 06:18:43 UTC
Created attachment 91921 [details]
stacktrace
Comment 2 Eduardo.m Costa 2009-12-01 06:50:40 UTC
Created attachment 91922 [details]
stacktrace
Comment 3 Eduardo.m Costa 2009-12-01 06:56:35 UTC
Created attachment 91923 [details]
stacktrace
Comment 4 Max Sauer 2009-12-01 06:58:41 UTC
Fixed, thanks for your report.
---
http://hg.netbeans.org/jet-main/rev/2a1b2829b1c3
Comment 5 Ivan Sidorkin 2009-12-01 07:05:13 UTC
Max, should it be fixed in 6.8 as well?
Comment 6 Max Sauer 2009-12-01 07:10:51 UTC
No, the defect is a result of my yesterday's commit in trunk branch -- the issue is not present in 6.8.
Comment 7 misterm 2009-12-01 07:55:36 UTC
Created attachment 91933 [details]
stacktrace
Comment 8 Max Sauer 2009-12-01 08:01:31 UTC
*** Bug 177921 has been marked as a duplicate of this bug. ***
Comment 9 Max Sauer 2009-12-01 08:02:01 UTC
*** Bug 177915 has been marked as a duplicate of this bug. ***
Comment 10 Max Sauer 2009-12-01 08:44:05 UTC
*** Bug 170487 has been marked as a duplicate of this bug. ***
Comment 11 Max Sauer 2009-12-01 09:45:07 UTC
*** Bug 177933 has been marked as a duplicate of this bug. ***
Comment 12 Max Sauer 2009-12-01 15:01:59 UTC
*** Bug 177947 has been marked as a duplicate of this bug. ***
Comment 13 Jiri Prox 2009-12-02 01:47:17 UTC
*** Bug 177958 has been marked as a duplicate of this bug. ***
Comment 14 Quality Engineering 2009-12-02 03:00:42 UTC
Integrated into 'main-golden', will be available in build *200912020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2a1b2829b1c3
User: Max Sauer <msauer@netbeans.org>
Log: #177914: Minor chnage
Comment 15 Max Sauer 2009-12-03 02:29:32 UTC
*** Bug 178038 has been marked as a duplicate of this bug. ***
Comment 16 Max Sauer 2009-12-03 07:16:05 UTC
*** Bug 177923 has been marked as a duplicate of this bug. ***
Comment 17 Ivan Sidorkin 2009-12-17 02:23:01 UTC
verified
Comment 18 Dusan Balek 2010-01-20 07:22:41 UTC
*** Bug 179674 has been marked as a duplicate of this bug. ***
Comment 19 Martin Schovanek 2010-01-20 08:06:05 UTC
The P1 Bug 179674 has been marked as duplicate of this one. So increasing the priority to P1 and marking as 68patch1-candidate.
Comment 20 pgebauer 2010-01-20 11:51:42 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/a6be8406043e
Comment 21 Jesse Glick 2010-01-26 10:59:17 UTC
Created attachment 93569 [details]
stacktrace
Comment 22 laurin1 2010-03-22 16:21:39 UTC
Created attachment 95552 [details]
stacktrace
Comment 23 laurin1 2010-04-02 13:27:42 UTC
Created attachment 96600 [details]
stacktrace
Comment 24 laurin1 2010-04-02 13:28:43 UTC
Created attachment 96602 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo